'************************************************
' File:   DelWLMFolder.vbs
' Author:  (c) Gnter Born www.borncity.de
'
' Zweck: Purges empty folders left from 
'        Windows Live Mail 2011 in user profile
'        C:\Users\<Name>\AppData\Local
'        
'
'        Freeware, may be freely used on your own risk.
'************************************************
Option Explicit

Const pfad = "%appdata%\..\local\" ' Windows NT
Dim Text, Titel, i, k, txt
Dim fso, fo, fc, wsh                 ' Object variable

Text = "Freeware - by Gnter Born - www.borncity.de" & vbCRLF & vbCRLF
Text = Text & "Deletes empty folders { ... } accidently left" & vbCRLF 
Text = Text & "from Windows Live Mail in user profile" & vbCRLF & vbCRLF
Text = Text & "Use at your own risk" & vbCRLF & vbCRLF
Text = Text & "The following folders are found and deleted" & vbCRLF & vbCRLF
Titel = "DelWLMFoldersEN V 1.0"

Set wsh = WScript.CreateObject ("WScript.Shell")

' create neuw FileSystemObject-Object, 
' need for file access.

Set fso = WScript.CreateObject("Scripting.FileSystemObject")

' enumerate folders
Set fo = fso.GetFolder( _
   wsh.ExpandEnvironmentStrings(pfad))  
Set fc = fo.SubFolders

For Each i in fc          ' all folder objects
' filter folders { .... }
 If InStr (1, i.name, "{") = 1 Then
   If InStr (1, i.name, "}") = Len(i.name) Then
    Text = Text & i.name & vbCRLF  ' folder found
    fso.DeleteFolder(i)            ' delete folder
   End if
 End if
Next

MsgBox Text, vbOkonly + vbInformation, Titel
'*** End